# Module `proton.handlers`

## Module Summary

`MessagingHandler` | A general purpose handler that makes the proton-c events somewhat simpler to deal with and/or avoids repetitive tasks for common use cases.
`TransactionHandler` | The interface for transaction handlers - ie objects that want to be notified of state changes related to a transaction.
`TransactionalClientHandler` | An extension to the MessagingHandler for applications using transactions.

### Exceptions

`Reject` | An exception that indicates a message should be rejected.
`Release` | An exception that indicates a message should be released.

## Module Detail